Skip to main content
POST
/
api
/
factors
/
custom
cURL
curl --request POST \
  --url https://api.production.hyperoru.com/api/factors/custom \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "context": {},
  "expression": "<string>",
  "symbol": "<string>"
}
'
{
  "id": 123,
  "name": "<string>",
  "category": "<string>",
  "description": "<string>",
  "source": "<string>"
}

Authorizations

Authorization
string
header
required

Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.

Body

application/json

Factor expression evaluation request.

context
object
required
expression
string
required
symbol
string | null

Response

Custom factor created

Factor catalogue entry.

id
integer<int32>
required
name
string
required
category
string | null
description
string | null
source
string | null